// Copyright (c) 2017, Marty Mills <daggerbot@gmail.com>
// This software is available under the terms of the zlib license.
// See COPYING.md for more information.

extern crate dwindow;
#[macro_use]
extern crate lazy_static;
#[macro_use]
extern crate log;
extern crate try_from;
#[cfg(windows)]
mod winapi {
    extern crate gdi32;
    extern crate kernel32;
    extern crate opengl32;
    extern crate user32;
    extern crate winapi;
    pub use self::gdi32::*;
    pub use self::kernel32::*;
    pub use self::opengl32::*;
    pub use self::user32::*;
    pub use self::winapi::*;
}
#[cfg(all(unix, not(target_os = "macos")))]
extern crate x11_dl as x11;

#[macro_use]
mod error;

mod config;
mod context;
mod display;
mod provider;
mod surface;
mod util;

pub use config::{Config, ConfigInfo, Configs, PixelFormat, RgbFormat};
pub use context::{Api, Context, ContextBuilder, Current, Profile, Version};
pub use display::{DisplayExt};
pub use error::{Error, ErrorKind, Result};
pub use surface::{SurfaceRef};
