// Copyright (c) 2017, Marty Mills <daggerbot@gmail.com>
// This software is available under the terms of the zlib license.
// See COPYING.md for more information.

/// Returns a reference to an owned object.
pub trait GetRef<T> {
    fn get_ref (&self) -> &T;

    fn get_clone (&self) -> T
        where T: Clone
    {
        self.get_ref().clone()
    }
}

impl<T> GetRef<T> for T {
    fn get_ref (&self) -> &T { self }
}
